#include <iostream>
using namespace std;
#define endl '\n'
const int MAXN=1e5+10;
long long a[MAXN];
int str[64];
bool zeros[MAXN][64], ones[MAXN][64];
char ans[MAXN];
char op[MAXN];
void add(int ind, char z) {
    while (ind>=0) {
        ans[ind]=z;
        ind--;
    }
}
int main () {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int t, n;
    long long k;
    cin >> t;
    for (int test=0;test<t;test++) {
        cin >> n >> k;
        for (int i=0;i<n;i++) cin >> a[i];
        /**if (n<=20) {
            bool ok=false;
            for (int mask=0;mask<(1<<(n-1));mask++) {
                int kopie=mask;
                for (int i=0;i<n-1;i++) {
                    if (kopie%2==1) op[i]='|';
                    else op[i]='&';
                    kopie/=2;
                }
                long long cur=a[0];
                for (int i=0;i<n-1;i++) {
                    if (op[i]=='|') cur=(cur|a[i+1]);
                    else cur=(cur&a[i+1]);
                }
                if (cur==k) {
                    ok=true;
                    break;
                }
            }
            if (!ok) cout << "NO\n";
            else {
                cout << "YES\n";
                for (int i=0;i<n-1;i++) cout << op[i];
                cout << endl;
            }
            continue;
        }**/
        for (int i=0;i<62;i++) {
            str[i]=k%2;
            k/=2;
        }
        bool fl, ok=true, eq=false;
        for (int i=0;i<n;i++) {
            long long kop=a[i];
            for (int j=0;j<62;j++) {
                if (i>0) {
                    ones[i][j]=ones[i-1][j];
                    zeros[i][j]=zeros[i-1][j];
                }
                if (kop%2==0 && !zeros[i][j]) zeros[i][j]=true;
                if (kop%2==1 && !ones[i][j]) ones[i][j]=true;
                kop/=2;
            }
        }
        for (int i=n-1;i>=1;i--) {
            int s=0;
            fl=false;
            long long kopie=a[i];
            for (int j=0;j<62;j++) {
                if (a[i]%2!=str[j] && str[j]!=2) {
                    if (str[j]==1) fl=true;
                    else s++;
                }
                a[i]/=2;
            }
            if (fl && s>0) {
                ok=false;
                break;
            }
            if (!fl && s==0) {
                fl=eq=true;
                for (int j=0;j<62;j++) {
                    if (str[j]==1 && !ones[i][j]) {
                        fl=false;
                        break;
                    }
                }
                if (fl) {
                    ans[i-1]='&';
                    add(i-2,'|');
                    break;
                }
                for (int j=0;j<62;j++) {
                    if (str[j]==0 && !zeros[i][j]) {
                        fl=false;
                        break;
                    }
                }
                if (!fl) ok=false;
                else {
                    ans[i-1]='|';
                    add(i-2,'&');
                }
                break;
            }
            if (fl) {
                ans[i-1]='|';
                for (int i=0;i<62;i++) {
                    if (kopie%2==1 && str[i]==1) str[i]=2;
                    kopie/=2;
                }
            } else {
                ans[i-1]='&';
                for (int i=0;i<62;i++) {
                    if (kopie%2==0 && str[i]==0) str[i]=2;
                    kopie/=2;
                }
            }
        }
        if (!eq) {
            for (int j=0;j<62;j++) {
                if (str[j]!=2 && a[n-1]%2!=str[j]) {
                    ok=false;
                    break;
                }
                a[n-1]/=2;
            }
        }
        if (!ok) cout << "NO\n";
        else {
            cout << "YES\n";
            for (int i=0;i<n-1;i++) cout << ans[i];
            cout << endl;
        }
    }
    return 0;
}

